<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>

<%@ include file="/WEB-INF/jspf/account/admin/header.jspf" %>
<tags:script url="/js/KeyEvent.js"/>
<tags:script url="/js/editor/NumberEditor.js"/>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > New user account --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <fmt:message key="admin.create.user.title" />
</div><br/>

<h1><fmt:message key="admin.create.user.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />
    <c:url var="actionUrl" value="/accounts/AddUser" />
    <form action="${actionUrl}" method="post">
        <fieldset>
            <legend><fmt:message key="admin.user.info" /></legend>
            <%@ include file="info.jspf" %>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.paths" /></legend>
            <table class="layout">
                <tags:input type="text" name="path" required="true" size="45">
                    <jsp:attribute name="value">
                        <c:out value="${param.path}" default="${requestScope.admin.administration.restrictDir}" />
                    </jsp:attribute>
                    <jsp:attribute name="label">
                        <fmt:message key="label.path.root" />
                    </jsp:attribute>
                </tags:input>
            </table>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.quotas"/></legend>
            <c:choose>
                <c:when test="${requestScope.admin.administration.shareQuotas}">
                    <fmt:message key="admin.user.quotas.shared.info">
                        <fmt:param value="${requestScope.admin.username}" />
                    </fmt:message>
                </c:when>
                <c:otherwise>
                    <%@ include file="quotas.jspf"%>
                </c:otherwise>
            </c:choose>
        </fieldset>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jspf/inactivity/service.jspf" %>

</body>
</html>