<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" />
    <%@ include file="/WEB-INF/jspf/js/utils.jspf"%>
    <tags:script url="/js/Action.js" version="${buildVersion}"/>
    <tags:script url="/js/KeyEvent.js"/>
    <tags:script url="/js/editor/NumberEditor.js"/>
    <tags:script url="/js/ui/ManagePathsPane.js"/>
    <script type="text/javascript">
        var pathsPane;
        function init() {
            var pathBoxs = Utils.getFormInputs($("usersform"), Tag.INPUT_TYPE_CHECKBOX, "path");
            pathsPane = new ManagePathsPane(pathBoxs, $("selectall"), $("uppath"), $("downpath"), $("editpath"), $("deletepath"));
        }
        function setupResources() {
            $('resources').value = pathsPane.getPaths().join('${requestScope.separator}');
        }
    </script>
</head>
<body onload="init();">

<%@ include file="/WEB-INF/jspf/account/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jspf/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <fmt:message key="admin.edit.user.title" />
</div><br/>

<h1><fmt:message key="admin.edit.user.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />
    <c:url var="actionUrl" value="/accounts/EditUser" />
    <form action="${actionUrl}" method="post" id="usersform" onsubmit="setupResources();">
        <input type="hidden" name="resources" id="resources" />
        <fieldset>
            <legend><fmt:message key="admin.user.info" /></legend>
            <%@ include file="info.jspf" %>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.paths" /></legend>
            <div id="buttonsbar">
                <tags:input type="button" name="uppath" disabled="true"><jsp:attribute name="value"><fmt:message key="button.up" /></jsp:attribute></tags:input>
                <tags:input type="button" name="downpath" disabled="true"><jsp:attribute name="value"><fmt:message key="button.down" /></jsp:attribute></tags:input>
                <tags:input type="submit" name="addpath"><jsp:attribute name="value"><fmt:message key="button.add" /></jsp:attribute></tags:input>
                <tags:input type="submit" name="editpath" disabled="true"><jsp:attribute name="value"><fmt:message key="button.edit" /></jsp:attribute></tags:input>
                <tags:input type="button" name="deletepath" disabled="true"><jsp:attribute name="value"><fmt:message key="button.delete" /></jsp:attribute></tags:input>
            </div>
            <table class="data">
                <col width="1%"/><col width="30%" /><col width="55%" /><col width="14%" />
                <thead>
                    <tr><tags:input type="checkbox" name="all" id="selectall" value="all" disabled="${fn:length(sessionScope.managedAccount.resources) == 0}">
                            <jsp:attribute name="template">
                                <th>${inputTag}</th>
                            </jsp:attribute>
                        </tags:input>
                        <th><fmt:message key="header.virtual.path"/></th>
                        <th><fmt:message key="header.resource"/></th>
                        <th><fmt:message key="header.permissinons"/></th>
                    </tr>
                </thead>
                <tbody>
                    <c:forEach var="resource" items="${sessionScope.managedAccount.resources}">
                    <file:virtual descriptor="${resource}">
                    <tr>
                        <td><tags:input type="checkbox" name="path" value="${path}"/></td>
                        <td>${path}</td><td>${target}</td><td><file:permission value="${permissions}" /></td>
                    </tr>
                    </file:virtual>
                    </c:forEach>
                </tbody>
            </table>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.quotas"/></legend>
            <c:choose>
                <c:when test="${requestScope.admin.administration.shareQuotas and sessionScope.managedAccount.owner eq requestScope.admin.login}">
                    <fmt:message key="admin.user.quotas.shared.info">
                        <fmt:param><b>${requestScope.admin.username}</b></fmt:param>
                    </fmt:message>
                </c:when>
                <c:otherwise>
                    <%@ include file="quotas.jspf"%>
                </c:otherwise>
            </c:choose>
        </fieldset>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jspf/inactivity/service.jspf" %>

</body>
</html>