<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" />
    <tags:style url="/css/buttons.bar.css" />

    <%@ include file="/WEB-INF/jspf/version.jspf" %>
    <tags:script url="/js/Utils.js" version="${buildVersion}"/>
    <tags:script url="/js/Action.js" version="${buildVersion}"/>
    <tags:script url="/js/KeyEvent.js"/>
    <tags:script url="/js/table/TableSorter.js"/>
    <tags:script url="/js/ui/ManageUsersPane.js"/>
    <script type="text/javascript">
        function init() {
            var userBoxs = Utils.getFormInputs($("usersform"), Tag.INPUT_TYPE_CHECKBOX, "login");
            var pane = new ManageUsersPane(userBoxs, $("selectall"), $("deleteuser"));
            pane.addMessage(ManageUsersPane.DELETE_CONFIRM_MESSAGE, "<fmt:message key="admin.message.delete.selected" />");

            var sorter = new TableSorter($("userlist"));
            sorter.setSortedColumns([1, 2, 3]);
            sorter.setSortedBy(1, true);
            sorter.sortByColumn(1, true);
        <%--sorter.setSortedBy(${requestScope.sortOrder.column}, ${requestScope.sortOrder.ascending});--%>
        }
    </script>
</head>
<body onload="init();">

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jspf/account/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jspf/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <fmt:message key="admin.manage.users.title" />
</div><br/>

<h1><fmt:message key="admin.manage.users.title" /></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/ManageUsers" />
    <form action="${actionUrl}" method="post" id="usersform">
        <tags:input type="hidden" name="action" />
        <div id="buttonsbar">
            <tags:input type="submit" name="adduser"><jsp:attribute name="value"><fmt:message key="button.create"/></jsp:attribute></tags:input>&nbsp;
            <tags:input type="submit" name="deleteuser" disabled="true"><jsp:attribute name="value"><fmt:message key="button.delete"/></jsp:attribute></tags:input>
        </div>
        <table class="data" id="userlist">
            <col width="1%"/><col width="33%" span="3"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="all" disabled="${fn:length(requestScope.accounts) == 0}">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="header.username"/></th>
                    <th><fmt:message key="header.login"/></th>
                    <th><fmt:message key="header.owner"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="account" items="${requestScope.accounts}">
                    <tr>
                        <td><tags:input type="checkbox" name="login" value="${account.login}"/></td>
                        <td><c:if test="${not empty account.username}">
                                <tags:link url="/accounts/EditUser?login=${account.login}">
                                    <c:out value="${account.username}"/>
                                </tags:link>
                            </c:if> 
                        </td>
                        <td><tags:link url="/accounts/EditUser?login=${account.login}">
                                <c:out value="${account.login}"/>
                            </tags:link>
                        </td>
                        <td><c:out value="${account.owner}" /></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jspf/inactivity/service.jspf" %>

</body>
</html>