<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="email.file.title"/></title>
    <tags:style url="/css/base.css" />
    <style type="text/css" media="all">@import "<c:url value="/css/content.css" />";</style>
</head>
<body>
<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>

<h3 align="center"><fmt:message key="email.file.title"/></h3><hr>

<tags:responseResult result="${responseResult}"/>

<c:url var="actionUrl" value="/action/send" />
<form action="${actionUrl}" method="post" accept-charset="utf-8">
    <c:forEach var="file" items="${files}">
        <tags:input type="hidden" name="filename" value="${file}" />
    </c:forEach>

    <table class="layout">
        <tags:input type="text" name="to" required="true" value="${toAddress}">
            <jsp:attribute name="label">
                <fmt:message key="label.address.to"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="from" required="true" value="${fromAddress}">
            <jsp:attribute name="label">
                <fmt:message key="label.address.from"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="subject" required="true" value="${subject}">
            <jsp:attribute name="label">
                <fmt:message key="label.subject"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="textarea" name="message" rows="7" cols="40" value="${message}">
            <jsp:attribute name="label">
                <fmt:message key="label.message"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td valign="top">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tr>
            <td valign="top"><tags:label><fmt:message key="label.files"/></tags:label></td>
            <td><div id="emailfilelist">
                <c:forEach var="path" items="${pathFiles}"><c:out value="${path}"/><br/></c:forEach></div>
            </td>
        </tr>

        <tags:select name="expires" begin="5" end="90" step="5" selected="${expires}">
            <jsp:attribute name="label">
                <fmt:message key="label.expires"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${selectTag}&nbsp;<fmt:message key="email.expires.period"/></td></tr>
            </jsp:attribute>
        </tags:select>
    </table>

    <p><tags:button name="send" labelkey="button.send"/>
        <tags:button name="cancel" labelkey="button.cancel" onclick="if (window.opener) { window.close(); } return false;"/></p>
</form>

</body>
</html>


