<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>

<%@ include file="/WEB-INF/jspf/account/loginHeader.jspf" %>

<h1><fmt:message key="Login.TITLE"/></h1>
<p><fmt:message key="Login.INFO" /></p>


<tags:responseResult result="${requestScope.responseResult}">
    <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
</tags:responseResult>


<div id="login">
    <c:url var="actionUrl" value="/action/login" />
    <form action="${actionUrl}" method="post" accept-charset="utf-8">
        <tags:input type="hidden" name="url" value="${param.url}"/>
        <table>
            <tags:input type="text" name="domain" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.DOMAIN"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
                <jsp:attribute name="value">
                    ${not empty param.domain ? param.domain : requestScope.domain}
                </jsp:attribute>
            </tags:input>

            <tags:input type="text" name="username" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
                <jsp:attribute name="value">
                    ${not empty param.username ? param.username : requestScope.username}
                </jsp:attribute>
            </tags:input>

            <tags:input type="password" name="password" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.PASSWORD"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table>
        <p><c:if test="${not requestScope.uiSelectionDenied}">
            <tags:label><fmt:message key="Label.UI" /></tags:label>

            <tags:input type="radio" name="ui" id="uihtml" value="uihtml" checked="${empty param.ui}" selected="${param.ui}">
                <jsp:attribute name="label">
                    <fmt:message key="Label.UI_HTML"/>
                </jsp:attribute>
            </tags:input>

            <tags:input type="radio" name="ui" id="uiapplet" value="uiapplet" selected="${param.ui}">
                <jsp:attribute name="label">
                    <fmt:message key="Label.UI_APPLET"/>
                </jsp:attribute>
            </tags:input>
        </c:if></p>

        <tags:button icon="/img/login.gif" labelkey="Button.LOGIN" />

        <c:if test="${requestScope.isShowLostPassword}">
            <div class="spacer"></div>
            <tags:link url="/LostPassword" id="lostpassword">
                <fmt:message key="Link.LOST_PASSWORD" />
            </tags:link>
        </c:if>
    </form>
</div>

<%@ include file="/WEB-INF/jspf/footer.jspf" %>