<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/account/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jspf/account/logo.jspf" %>
<c:set var="isOwnPasswordChanging" value="${not empty param.login}" />

<h1><c:choose>
        <c:when test="${not empty param.login}">
            <fmt:message key="account.selected.title">
                <fmt:param><c:out value="${param.login}" /></fmt:param>
            </fmt:message>
        </c:when>
        <c:otherwise>
            <fmt:message key="account.manage.title"/>
        </c:otherwise>
    </c:choose>
</h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}"/>
    <h2><fmt:message key="change.password.title"/></h2>

    <c:url var="actionUrl" value="/accounts/ChangePassword"/>
    <form action="${actionUrl}" method="post">
        <c:if test="${not empty param.login}">
            <tags:input type="hidden" name="login" value="${param.login}" />
        </c:if>
        
        <table cellpadding="4" border="0">
            <tags:input type="password" name="newpwd" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="label.password.change"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="password" name="confirmpwd" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="label.password.confirm"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <p><tags:input type="submit" name="change">
                <jsp:attribute name="value">
                    <fmt:message key="button.change" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>
</div>

<%@ include file="/WEB-INF/jspf/inactivity/service.jspf" %>

</body>
</html>