<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/WEB-INF/taglibs.jspf" %>

<%@ include file="/WEB-INF/jspf/account/loginHeader.jspf" %>

<div id="container">
    <h1><fmt:message key="LostPassword.TITLE"/></h1>
    <p><fmt:message key="LostPassword.INFO"/></p>

    <tags:responseResult result="${requestScope.responseResult}">
        <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
    </tags:responseResult>

    <c:url var="actionUrl" value="/LostPassword"/>
    <form action="${actionUrl}" method="post" accept-charset="utf-8">
        <table cellpadding="3" border="0">
            <tags:input type="text" name="domain" required="true" value="${param.domain}" size="30">
                <jsp:attribute name="label">
                    <fmt:message key="Label.DOMAIN"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>

            <tags:input type="text" name="username" required="true" value="${param.username}" size="30">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <p><tags:input type="submit" name="reset">
                <jsp:attribute name="value">
                    <fmt:message key="Button.RESET_PASSWORD"/>
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel">
                <jsp:attribute name="value">
                    <fmt:message key="Button.CANCEL"/>
                </jsp:attribute>
            </tags:input>
        </p>
    </form>
</div>


<%@ include file="/WEB-INF/jspf/footer.jspf" %>