<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title" /></title>
    <tags:style url="/css/base.css" />
    <style type="text/css" media="all">@import "<c:url value="/css/content.css" />";</style>
    <%@ include file="/WEB-INF/jspf/js/html-view.jspf" %>
    <script type="text/javascript">
        var Messages = {
            Buttons: {OK: 'OK', CANCEL: 'Cancel'},
            Labels: {NEW_DIRECTORY: '<fmt:message key="view.message.new.directory" />'},
            CONFIRM_DELETE: '<fmt:message key="view.message.confirm.delete" />',
            CONNECTION_TIMEOUT: '<fmt:message key="view.message.connection.timeout"><fmt:param><tags:time value="${requestScope.connectionTimeout}" /></fmt:param></fmt:message>',
            NO_FILES_SELECTED: '<fmt:message key="view.message.not.selected" />'
        };
        var CONNECTION_TIMEOUT = ${not empty requestScope.connectionTimeout ? requestScope.connectionTimeout : 'undefined'};
        var UPLOAD_PREPARE_PROGRESS_URL = "uploadprepare";
        var sorter, uploader, uploadPane, buttonsBarPane;

        function init() {
            buttonsBarPane = new ButtonsBarPane(${requestScope.isEmailServiceEnabled});
            uploadPane = new UploadPane(getUploadForm());
            var table = $("list");
            new Table(table);
            var rows = table.rows;
            for (var i = 0, size = rows.length; i < size; ++i) {
                rows[i].onclick = navigateMouse;
            }

            sorter = new TableSorter(table);
            sorter.excludeRowIds(PARENT_DIR_LINK_ID);
            sorter.setSortFirstClass("folder");
            sorter.setErasableHolderClass("erasable");
            sorter.setSortedColumns([1, 2, 3]);
            sorter.setColumnType(1, TableSorter.TYPE_STRING);
            sorter.setColumnType(2, TableSorter.TYPE_ERASABLE);
            sorter.setColumnType(3, TableSorter.TYPE_ERASABLE);
            sorter.setSortedBy(${requestScope.sortOrder.column}, ${requestScope.sortOrder.ascending});

            $("selectall").onclick = function() {
                selectAll(table, this.checked);
            }
        }
    </script>
</head>

<body onload="init()">
<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jspf/account/loginInfo.jspf"%>

<tags:image source="/img/domain/logo_http.gif" id="logo">
    <jsp:attribute name="description">
        <fmt:message key="title"/>
    </jsp:attribute>
</tags:image>

<tags:responseResult result="${requestScope.responseResult}" />

<div id="buttonsbar">
    <c:set var="actionUrlPrefix">
        <c:if test="${pageContext.request.secure}">
            ${pageContext.request.scheme}://${pageContext.request.serverName}:${pageContext.request.serverPort}${pageContext.request.contextPath}
        </c:if>
    </c:set>
    <c:url var="actionUrl" value="${actionUrlPrefix}/action/" />
    <form action="${actionUrl}" method="post" id="actionform" accept-charset="utf-8">
        <tags:input type="hidden" name="filename" />
        <tags:input type="hidden" name="oldname" />
        <tags:input type="hidden" name="sortedColumnIndex" />
        <tags:input type="hidden" name="sortedAscending" />
        <tags:input type="hidden" name="action" />
        <c:choose>
            <c:when test="${requestScope.isButtonsShortcutEnabled}">
                <tags:button type="button" labelkey="button.rename" icon="/img/rename.gif" onclick="renameAction(); return false;" shortcut="F2" orient="vertical" id="renamebtn" disabled="true" disabledClass="disabled"/>
                <tags:button type="button" labelkey="button.refresh" icon="/img/refresh.gif" onclick="refreshAction(); return false;" shortcut="F5" orient="vertical" />
                <tags:button type="button" labelkey="button.new.directory" icon="/img/newdirectory.gif" onclick="newDirectoryAction(); return false;" shortcut="F7" orient="vertical"/>
                <tags:button type="button" labelkey="button.delete" icon="/img/delete.gif" onclick="deleteAction(); return false;" shortcut="F8" orient="vertical" id="deletebtn" disabled="true" disabledClass="disabled"/>
            </c:when>
            <c:otherwise>
                <tags:button type="button" labelkey="button.rename" icon="/img/rename.gif" onclick="renameAction(); return false;" orient="vertical" id="renamebtn" disabled="true" disabledClass="disabled"/>
                <tags:button type="button" labelkey="button.refresh" icon="/img/refresh.gif" onclick="refreshAction(); return false;" orient="vertical" />
                <tags:button type="button" labelkey="button.new.directory" icon="/img/newdirectory.gif" onclick="newDirectoryAction(); return false;" orient="vertical"/>
                <tags:button type="button" labelkey="button.delete" icon="/img/delete.gif" onclick="deleteAction(); return false;" orient="vertical" id="deletebtn" disabled="true" disabledClass="disabled"/>
            </c:otherwise>
        </c:choose>

        <c:if test="${not requestScope.isEmailFileDenied}">
            <tags:button type="button" labelkey="button.email" icon="/img/email.gif" onclick="sendEmailAction(); return false;" orient="vertical" id="emailbtn" disabled="true" disabledClass="disabled"/>
        </c:if>
        <c:if test="${requestScope.isAppletUiAllowed}">
            <tags:button type="button" labelkey="button.ui.applet" icon="/img/ui_applet.gif" onclick="switchToAppletUI(); return false;" orient="vertical"/>
        </c:if>
    </form>

    <div id="uploadcontainer">
        <form action="<c:url value="/action/upload" />" id="uploadform" method="post" enctype="multipart/form-data" onsubmit="return onStartUpload(this);">
            <input type="file" name="filename" class="filechooser" size="1" tabindex="-1" title="<fmt:message key="button.add.file.title" />"/>
            <tags:button icon="/img/add.gif" id="addfile" tabindex="-1"/><fmt:message key="button.add.file.info" /><tags:button icon="/img/subtract.gif" id="removefile" disabled="true" disabledClass="disabled"><jsp:attribute name="title"><fmt:message key="button.delete.file.title" /></jsp:attribute></tags:button><fmt:message key="button.delete.file.info" />
            <span id="title"><fmt:message key="view.upload.title" /> (<span id="filecounter">0</span>)</span>
            <select id="filelist" size="3" multiple="multiple"> </select>

            <div id="filelistiemac"><input type="file" name="filename1" /><input type="file" name="filename2" /><input type="file" name="filename3" /><input type="file" name="filename4" /><input type="file" name="filename5" /></div>

            <div id="mode">
                <c:if test="${requestScope.isShowTransferType}">
                    <tags:input type="radio" name="mode" id="mascii" value="ascii">
                        <jsp:attribute name="label">
                            <fmt:message key="label.ascii" />
                        </jsp:attribute>
                    </tags:input>
                    <tags:input type="radio" name="mode" id="mbinary" value="binary" checked="true">
                        <jsp:attribute name="label">
                            <fmt:message key="label.binary" />
                        </jsp:attribute>
                    </tags:input>
                </c:if>
                <tags:button labelkey="button.upload" name="upload" icon="/img/upload.gif" id="startupload" disabled="true" disabledClass="disabled"/>
            </div>
        </form>
    </div>
</div>

<div class="spacer"></div>

<div id="path"><tags:breadcrumbs workingDir="${workingDir}" /></div>

<div id="progressbar">
    <input type="button" name="cancel" onclick="cancelUploadAction();" value="<fmt:message key="button.cancel" />" />
</div>

<table id="list">
    <col class="checkbox" />
    <col class="name" />
    <col class="size" />
    <col class="date" />
    <thead>
    <tr>
        <tags:input type="checkbox" name="all" id="selectall" value="all" disabled="${fn:length(directoryFiles) == 0}">
            <jsp:attribute name="template">
                <th>${inputTag}</th>
            </jsp:attribute>
        </tags:input>
        <th><fmt:message key="header.name" /></th>
        <th><fmt:message key="header.size" /></th>
        <th><fmt:message key="header.date" /></th>
    </tr>
    </thead>
    <tbody>
        <c:if test="${fn:length(workingDir) gt 0 and fn:startsWith(workingDir, '/')}">
            <tr class="sel">
                <td>&nbsp;</td>
                <td colspan="3"><span id="cdup">[..]</span>
                    <tags:link url="cdup" id="parentdir" onclick="changeToParentDirectoryAction(); return false;">
                        <fmt:message key="link.parent.directory" />
                    </tags:link>
                </td>
            </tr>
        </c:if>
        <c:forEach var="file" items="${directoryFiles}">
            <tr>
                <td><input type="checkbox"/></td>
                <td><file:link name="${file.name}" path="${file.path}" directory="${file.directory}" cssClass="${file.cssClass}"/></td>
                <td align="right"><c:choose>
                        <c:when test="${file.directory}">
                            <fmt:message key="view.type.directory"/>
                        </c:when>
                        <c:otherwise>
                            <span class="erasable">${file.size}</span><file:size value="${file.size}"/>
                        </c:otherwise>
                    </c:choose>
                </td>
                <td align="center"><span class="erasable">${file.time}</span><file:date time="${file.time}" /></td>
            </tr>
        </c:forEach>
    </tbody>
</table>

<%@ include file="/WEB-INF/jspf/inactivity/service.jspf" %>

</body>
</html>