<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="t" %>
<%@ attribute name="name" %>
<%@ attribute name="value" type="com.jscape.inet.vfs.Quota" %>
<%@ attribute name="label"%>
<%@ attribute name="enabledSuffix"%>
<%@ attribute name="periodSuffix"%>
<%@ attribute name="template" fragment="true" %>
<%@ variable name-given="enabledControl" scope="NESTED" %>
<%@ variable name-given="quotaControl" scope="NESTED" %>
<%@ variable name-given="periodControl" scope="NESTED" %>

<c:set var="bytesPerMb" value="${1024 * 1024}" scope="application" />
<c:set var="millisecondsPerDay" value="${1000 * 60 * 60 * 24}" scope="application" />

<c:set var="enabledInputName" value="${name}${enabledSuffix}" />
<c:set var="periodInputName" value="${name}${periodSuffix}" />
<c:set var="quota"><c:out value="${param[name]}" default="${not empty value ? value.bytes / bytesPerMb : ''}" /></c:set>
<c:set var="period"><c:out value="${param[periodInputName]}" default="${not empty value ? value.resetPeriod / millisecondsPerDay : ''}" /></c:set>
<c:set var="quotaEnabled" value="${param[enabledInputName] or (not empty quota or not empty period)}" />


<c:set var="enabledControl">
    <t:input type="checkbox" name="${enabledInputName}" value="true" checked="${quotaEnabled}" label="${label}" />
</c:set>

<c:set var="quotaControl">
    <t:input type="text" name="${name}" disabled="${not quotaEnabled}" size="10" maxlength="9">
        <jsp:attribute name="value">
            <fmt:formatNumber type="number" groupingUsed="false" maxIntegerDigits="9" maxFractionDigits="0" value="${quota}" />
        </jsp:attribute>
    </t:input>
</c:set>

<c:set var="periodControl">
    <fmt:message key="label.quota.period">
        <fmt:param>
            <t:input type="text" name="${periodInputName}" disabled="${not quotaEnabled}" size="4" maxlength="3">
                <jsp:attribute name="value">
                    <fmt:formatNumber type="number" groupingUsed="false" maxIntegerDigits="3" maxFractionDigits="0" value="${period}" />
                </jsp:attribute>
            </t:input>
        </fmt:param>
    </fmt:message>
</c:set>

<c:choose>
    <c:when test="${not empty template}">
        <jsp:invoke fragment="template"/>
    </c:when>
    <c:otherwise>
        ${enabledControl} ${quotaControl} ${periodControl}
    </c:otherwise>
</c:choose>