<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ attribute name="value" required="true" type="java.lang.Long" %>

<jsp:useBean id="sizes" class="java.util.HashMap" scope="application">
    <c:set target="${sizes}" property="kilobyte" value="${1024}" />
    <c:set target="${sizes}" property="megabyte" value="${1024 * sizes.kilobyte}" />
    <c:set target="${sizes}" property="gigabyte" value="${1024 * sizes.megabyte}" />
    <c:set target="${sizes}" property="terabyte" value="${1024 * sizes.gigabyte}" />
</jsp:useBean>

<c:choose>
    <c:when test="${value ge sizes.terabyte}">
        <fmt:message key="filesize.terabyte">
            <fmt:param value="${value div sizes.terabyte}"/>
        </fmt:message>
    </c:when>
    <c:when test="${value ge sizes.gigabyte}">
        <fmt:message key="filesize.gigabyte">
            <fmt:param value="${value div sizes.gigabyte}"/>
        </fmt:message>
    </c:when>
    <c:when test="${value ge sizes.megabyte}">
        <fmt:message key="filesize.megabyte">
            <fmt:param value="${value div sizes.megabyte}"/>
        </fmt:message>
    </c:when>
    <c:when test="${value ge sizes.kilobyte}">
        <fmt:message key="filesize.kilobyte">
            <fmt:param value="${value div sizes.kilobyte}"/>
        </fmt:message>
    </c:when>
    <c:otherwise>
        <fmt:message key="filesize.byte">
            <fmt:param value="${value}"/>
        </fmt:message>
    </c:otherwise>
</c:choose>