<%@ tag body-content="scriptless" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ attribute name="descriptor" required="true" type="com.jscape.inet.vfs.VirtualFileDescriptor" %>
<%@ variable name-given="path" variable-class="java.lang.String" scope="NESTED" %>
<%@ variable name-given="target" variable-class="java.lang.String" scope="NESTED" %>
<%@ variable name-given="permissions" variable-class="com.jscape.inet.vfs.AccessPermissions" scope="NESTED" %>
<%@ variable name-given="isRemoteFile" variable-class="java.lang.Boolean" scope="NESTED" %>
<%@ variable name-given="isLocalFile" variable-class="java.lang.Boolean" scope="NESTED" %>
<%@ variable name-given="isCreateIfNotExists" variable-class="java.lang.Boolean" scope="NESTED" %>

<c:set var="isLocalFile" value="${descriptor.class.name eq 'com.jscape.inet.vfs.VirtualLocalFileDescriptor'}" />
<c:set var="isRemoteFile" value="${descriptor.class.name eq 'com.jscape.inet.mft.resources.VirtualRemoteFileDescriptor'}" />
<c:set var="isCreateIfNotExists" value="${isLocalFile and descriptor.createIfNotExists}" />

<c:set var="path"><c:out value="${descriptor.path}" /></c:set>

<c:set var="target">
    <c:choose>
        <c:when test="${isLocalFile}"><c:out value="${descriptor.realPath}" /></c:when>
        <c:when test="${isRemoteFile}"><c:out value="${descriptor.name}" /></c:when>
    </c:choose>
</c:set>

<c:set var="permissions" value="${descriptor.accessPermissions}" />

<jsp:doBody />
