<%@ tag body-content="scriptless" dynamic-attributes="args" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ attribute name="type" required="true" type="java.lang.String" %>
<%@ attribute name="name" required="true" type="java.lang.String" %>
<%@ attribute name="value" %>
<%@ attribute name="label" %>
<%@ attribute name="required" type="java.lang.Boolean" %>
<%@ attribute name="disabled" type="java.lang.Boolean" %>
<%@ attribute name="checked" type="java.lang.Boolean" %>
<%@ attribute name="selected" type="java.lang.Object" description="Selected value. If checkable input used for compute state." %>
<%@ attribute name="template" fragment="true" %>
<%@ variable name-given="labelTag" scope="NESTED" %>
<%@ variable name-given="inputTag" scope="NESTED" %>

<c:if var="checkable" test="${type eq 'checkbox' or type eq 'radio'}"/>
<c:if test="${checkable and (checked or (not empty value and value eq selected))}">
    <c:set target="${args}" property="checked" value="checked" />
</c:if>
<c:if test="${disabled}">
    <c:set target="${args}" property="disabled" value="disabled" />
</c:if>
<tags:tagDynamicAttributes defaultIdValue="${name}" dynamicAttributes="${args}"/>

<c:set var="labelTag">
    <c:if test="${not empty label}">
        <tags:label htmlfor="${tagIdValue}" required="${required}" label="${label}"/>
    </c:if>
</c:set>

<c:set var="inputTag">
    <c:choose>
        <c:when test="${type eq 'textarea'}">
            <c:set var="rows">${not empty args.rows ? args.rows : 4}</c:set>
            <c:set var="columns">${not empty args.cols ? args.cols : 80}</c:set>
            <textarea name="${name}" id="${tagIdValue}" rows="${rows}" cols="${columns}">${fn:escapeXml(value)}</textarea>
        </c:when>
        <c:when test="${type eq 'hidden'}">
            <input type="${type}" name="${name}" value="${fn:escapeXml(value)}"/>
        </c:when>
        <c:otherwise>
            <input type="${type}" name="${name}" id="${tagIdValue}" value="${fn:escapeXml(value)}" ${tagAttributes}/>
        </c:otherwise>
    </c:choose>
</c:set>

<c:choose>
    <c:when test="${not empty template}">
        <jsp:invoke fragment="template"/>
    </c:when>
    <c:when test="${checkable}">
        ${inputTag}<c:if test="${not empty labelTag}">&nbsp;${labelTag}</c:if>
    </c:when>
    <c:otherwise>
        ${labelTag}${inputTag}
    </c:otherwise>
</c:choose>