<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ attribute name="result" required="true" type="com.jscape.inet.mft.transport.web.common.ResponseResult" %>
<%@ attribute name="errorTitle" %>

<c:set var="text">
    <c:choose>
        <c:when test="${result.plainText}"><c:out value="${result.text}" /></c:when>
        <c:when test="${not empty result.key}">
            <fmt:message key="${result.key}">
                <c:forEach var="arg" items="${result.params}">
                    <fmt:param value="${fn:escapeXml(arg)}"/>
                </c:forEach>
            </fmt:message>
        </c:when>
    </c:choose>
</c:set>

<c:if test="${not empty text}">
    <div id="messagebar">
        <c:choose>
            <c:when test="${result.success}">
                <div class="alertbox"><h3>${text}</h3></div>
            </c:when>
            <c:when test="${result.error}">
                <c:set var="title">
                    <c:choose>
                        <c:when test="${not empty errorTitle}">
                            ${errorTitle}
                        </c:when>
                        <c:otherwise>
                            <fmt:message key="error.page.title"/>
                        </c:otherwise>
                    </c:choose>
                </c:set>
                <div class="alertbox error"><h3>${title}</h3><p>${text}</p></div>
            </c:when>
        </c:choose>
    </div>
</c:if>