<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ attribute name="dynamicAttributes" type="java.util.Map" %>
<%@ attribute name="defaultIdValue" type="java.lang.String" %>
<%@ variable name-given="tagAttributes" variable-class="java.lang.String" scope="AT_END" %>
<%@ variable name-given="tagIdValue"  variable-class="java.lang.String" scope="AT_END" %>

<c:choose>
    <c:when test="${not empty defaultIdValue}">
        <c:set var="tagIdValue" value="${defaultIdValue}" />
        <c:set var="stripIdAttribute" value="true" />
    </c:when>
    <c:otherwise>
        <c:set var="tagIdValue" value="" />
        <c:set var="stripIdAttribute" value="false" />
    </c:otherwise>
</c:choose>

<c:set var="tagAttributes">
    <c:forEach var="item" items="${dynamicAttributes}">
        <c:choose>
            <c:when test="${item.key eq 'id' and stripIdAttribute}">
                <c:set var="tagIdValue" value="${fn:escapeXml(item.value)}" />
            </c:when>
            <c:otherwise> ${item.key}="${fn:escapeXml(item.value)}" </c:otherwise>
        </c:choose>
    </c:forEach>
</c:set>