<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ attribute name="value" required="true" type="java.lang.Long" %>

<jsp:useBean id="times" class="java.util.HashMap" scope="application">
    <c:set target="${times}" property="millisecond" value="${1}" />
    <c:set target="${times}" property="second" value="${1000 * times.millisecond}" />
    <c:set target="${times}" property="minute" value="${60 * times.second}" />
    <c:set target="${times}" property="hour" value="${60 * times.minute}" />
</jsp:useBean>

<c:choose>
    <%--hour--%>
    <c:when test="${value >= times.hour}">
        <fmt:message key="time.hour">
            <fmt:param value="${value / times.hour}"/>
        </fmt:message>
    </c:when>

    <%--minute--%>
    <c:when test="${value mod times.minute < times.second}">
        <fmt:message key="time.minute">
            <fmt:param value="${value / times.minute}"/>
        </fmt:message>
    </c:when>

    <%--minute and second--%>
    <c:when test="${value > times.minute}">
        <c:set var="sec" value="${value mod times.minute}"/>
        <fmt:message key="time.minute">
            <fmt:param value="${(value - sec) / times.minute}"/>
        </fmt:message>
        <c:out value=" "/>
        <fmt:message key="time.second">
            <fmt:param value="${sec / times.second}"/>
        </fmt:message>
    </c:when>

    <%--second--%>
    <c:when test="${value >= times.second}">
        <fmt:message key="time.second">
            <fmt:param value="${value / times.second}"/>
        </fmt:message>
    </c:when>

    <%--millisecond--%>
    <c:otherwise>
        <fmt:message key="time.millisecond">
            <fmt:param value="${value}"/>
        </fmt:message>
    </c:otherwise>
</c:choose>