function Action(type, form) {
    this._constructor(type, form);
}
(function() { // create local scope;

    Action.CDUP = "cdup";
    Action.CWD = "cwd";
    Action.DELETE = "delete";
    Action.EMAIL = "send";
    Action.NEW_DIRECTORY = "mkdir";
    Action.REFRESH = "refresh";
    Action.RENAME = "rename";
    Action.UI_APPLET = "uiapplet";
    Action.UPLOAD_CANCEL = "uploadcancel";
    Action.LOGOUT = "Logout";

    Action.prototype = {

        type: null,
        form: null,
        dynamicElements: null,

        _constructor: function(type, form) {
            this.type = type;
            this.form = form;
            this.dynamicElements = new Array();
        },

        perform: function(parameters, target) {
            if (this.form == null) {
                document.location = "/action/" + this.type;
                return;
            }

            parameters = (arguments.length > 0) ? parameters : {};

            for (var name in parameters) {
                var el = this._findNamedElement(name);
                var values = [].concat(parameters[name]);

                if (el == null) {
                    el = this._createElement(name);
                }

                while (values.length > 0) {
                    el.value = values.shift();

                    if (values.length > 0) {
                        el = this._cloneElement(el);
                    }
                }
            }

            this.form.target = target ? target : "";
            this.form.action.value = this.type;
            this.form.submit();

            this._removeElements();
        },

        _findNamedElement: function(name) {
            var elements = this.form.elements;

            for (var i = 0, size = elements.length; i < size; ++i) {
                if (elements[i].name == name) {
                    return elements[i];
                }
            }

            return null;
        },

        _cloneElement: function(el) {
            var result = this.form.appendChild(el.cloneNode(false));
            this.dynamicElements[this.dynamicElements.length] = result;
            return result;
        },

        _createElement: function(name) {
            var result = this.form.appendChild(Utils.createInput(Tag.INPUT_TYPE_HIDDEN, name));
            this.dynamicElements[this.dynamicElements.length] = result;
            return result; 
        },

        _removeElements: function() {
            for (var i = 0; i < this.dynamicElements.length; ++i) {
                var el = this.dynamicElements[i];
                el.value = "";
                
                this.form.removeChild(el);
                delete this.dynamicElements[i];
            }
        }

    }

})();