function ButtonsBarPane(emailServiceEnabled) {
    this._constructor(emailServiceEnabled);
}(function(){

    var RENAME_BUTTON_ID = "renamebtn";
    var DELETE_BUTTON_ID = "deletebtn";
    var EMAIL_BUTTON_ID = "emailbtn";
    var DISABLED_CSS_CLASS = "disabled";

    ButtonsBarPane.prototype = {

        renameButton: null,
        deleteButton: null,
        emailButton: null,
        emailServiceEnabled: null,

        _constructor: function(emailServiceEnabled) {
            this.renameButton = $(RENAME_BUTTON_ID);
            this.deleteButton = $(DELETE_BUTTON_ID);
            this.emailButton = $(EMAIL_BUTTON_ID);
            this.emailServiceEnabled = emailServiceEnabled;

            this._registerKeyEvents();
        },

        update: function() {
            var isSelectedFile = (getSelectedFile() != null)
            var isMarkedFiles = hasMarkedFiles($(LIST_TABLE_ID));

            Utils.setEnabled(this.renameButton, isSelectedFile, DISABLED_CSS_CLASS);
            Utils.setEnabled(this.deleteButton, isMarkedFiles || isSelectedFile, DISABLED_CSS_CLASS);
            Utils.setEnabled(this.emailButton, this.emailServiceEnabled && (isMarkedFiles || isSelectedFile), DISABLED_CSS_CLASS);
        },

        processKeyEvent: function(ke) {
            if (ke.isModifiersDown()) { return; }
            var code = ke.getKeyCode();

            switch (code) {
                case KeyEvent.VK_F2:
                    ke.cancel();
                    if (!this.renameButton.disabled) {
                        renameAction();
                    }
                    break;

                case KeyEvent.VK_F5:
                    ke.cancel();
                    refreshAction();
                    break;

                case KeyEvent.VK_F7:
                    ke.cancel();
                    newDirectoryAction();
                    break;

                case KeyEvent.VK_F8:
                    ke.cancel();
                    if (!this.deleteButton.disabled) {
                        deleteAction();
                    }
                    break;
            }
        },

        _registerKeyEvents: function() {
            var km = KeyboardManager.getInstance();
            km.registerHandler(KeyEvent.VK_F2,  this);
            km.registerHandler(KeyEvent.VK_F5,  this);
            km.registerHandler(KeyEvent.VK_F7,  this);
            km.registerHandler(KeyEvent.VK_F8,  this);
        },

        _unregisterKeyEvents: function() {
            var km = KeyboardManager.getInstance();
            km.unregisterHandler(KeyEvent.VK_F2,  this);
            km.unregisterHandler(KeyEvent.VK_F5,  this);
            km.unregisterHandler(KeyEvent.VK_F7,  this);
            km.unregisterHandler(KeyEvent.VK_F8,  this);
        }

    }
})();