function ManageUsersPane(userBoxs, selectAllBox, deleteButton) {
    this._constructor(userBoxs, selectAllBox, deleteButton);
}(function() { // create local scope;

    ManageUsersPane.DELETE_CONFIRM_MESSAGE = "deleteConfirmMsg";

    ManageUsersPane.prototype = {

        userBoxs: null,
        selectAllBox: null,
        deleteButton: null,
        messages: null,

        _constructor: function(userBoxs, selectAllBox, deleteButton) {
            this.userBoxs = userBoxs;
            this.selectAllBox = selectAllBox;
            this.deleteButton = deleteButton;
            this.messages = [];

            this._attachEvent();
            this._update();
        },

        addMessage: function(type, message) {
            this.messages.push({type: type, message: message});
        },

        getMessage: function(type) {
            for (var i = 0; i < this.messages.length; ++i) {
                var item = this.messages[i];
                if (item.type == type) {
                    return item.message;
                }
            }

            return null;
        },

        getSelectedCount: function() {
            var count = 0;
            for (var i = 0, size = this.userBoxs.length; i < size; ++i) {
                if (this.userBoxs[i].checked) { count++; }
            }
            return count;
        },

        handleDeleteUser: function() {
            if (this.getSelectedCount() != 0) {
                var message = this.getMessage(ManageUsersPane.DELETE_CONFIRM_MESSAGE);
                return (message != null) ? confirm(message) : true;
            }

            return false;

        },

        handleSelectAll: function() {
            var selected = this.selectAllBox.checked;
            for (var i = 0, size = this.userBoxs.length; i < size; ++i) {
                this.userBoxs[i].checked = selected;
            }
            this._update();
        },

        _attachEvent: function() {
            var thisObj = this;
            for (var i = 0; i < this.userBoxs.length; ++i) {
                this.userBoxs[i].onclick = function() { thisObj._update(); }
            }

            this.deleteButton.onclick = function() { return thisObj.handleDeleteUser(); }
            this.selectAllBox.onclick = function() { thisObj.handleSelectAll(); }
        },

        _update: function() {
            var selectedCount = this.getSelectedCount();
            this.selectAllBox.checked = (this.userBoxs.length == selectedCount);
            Utils.setEnabled(this.deleteButton, selectedCount != 0);
        }
    }
})();