function NewDirectoryDialog() {
    this._constructor();
}(function() { // create local scope;

    var DAILOG_ID = "NewDirectoryDialog";
    var DIR_INPUT_NAME = "newDirInputField";

    NewDirectoryDialog.prototype = {

        dialog: null,
        dirField: null,

        _constructor: function() {
            this.dialog = new ModalDialog(DAILOG_ID);
            var thisObj = this;
            this.dialog.addButton(ModalDialog.BUTTON_OK, Messages.Buttons.OK, function(){ thisObj.onSubmit(); });
            this.dialog.addButton(ModalDialog.BUTTON_CANCEL, Messages.Buttons.CANCEL, function(){ thisObj.onCancel(); });
            this.dialog.getContent().appendChild(Utils.createLabel(Messages.Labels.NEW_DIRECTORY, DIR_INPUT_NAME));
            this.dirField = this.dialog.getContent().appendChild(Utils.createTextInput(DIR_INPUT_NAME));
        },

        isVisible: function() {
            return this.dialog.isVisible();
        },

        setVisible: function(visible) {
            this.dialog.setVisible(visible);
            this._requestFocus();
            this._registerKeyHandlers();

            restartInactivityService();
        },

        getDirectoryName: function() {
            var result = $F(this.dirField);
            return (result != null) ? result : "";
        },

        onSubmit: function() {
            this.setVisible(false);
            var dirName = this.getDirectoryName();

            if (dirName.trim().length > 0) {
                new Action(Action.NEW_DIRECTORY, getActionForm()).perform(createParameters(dirName));
            }
        },

        onCancel: function() {
            this.dirField.value = '';
            this.setVisible(false);
        },

        processKeyEvent: function(ke) {
            var code = ke.getKeyCode();

            switch (code) {
                case KeyEvent.VK_ENTER:
                    ke.cancel();
                    this.onSubmit();
                    break;

                case KeyEvent.VK_ESCAPE:
                    ke.cancel();
                    this.onCancel();
                    break;
            }
        },

        _registerKeyHandlers: function() {
            if (this.isVisible()) {
                KeyboardManager.getInstance().registerHandler(KeyEvent.VK_ENTER, this);
                KeyboardManager.getInstance().registerHandler(KeyEvent.VK_ESCAPE, this);
            } else {
                KeyboardManager.getInstance().unregisterHandler(KeyEvent.VK_ENTER, this);
                KeyboardManager.getInstance().unregisterHandler(KeyEvent.VK_ESCAPE, this);
            }
        },

        _requestFocus: function() {
            if (this.dialog.isVisible()) {
                try {
                    this.dirField.focus();
                } catch(e) {}
            }
        }

    }
})();