function QuotaPane(enabledControl, quotaControl, periodControl) {
    this._constructor(enabledControl, quotaControl, periodControl);
}(function() { // create local scope;

    QuotaPane.prototype = {

        enabledControl: null,
        quotaControl: null,
        periodControl: null,
        listeners: null,

        _constructor: function(enabledControl, quotaControl, periodControl) {
            this.enabledControl = enabledControl;
            this.quotaControl = quotaControl;
            this.periodControl = periodControl;
            this.listeners = [];

            this.setEnabled(this.enabledControl.checked);
            
            var thisObj = this;
            this.enabledControl.onclick = function() {
                thisObj._handleChanged(this.checked);
            }
            new NumberEditor(this.periodControl).setMinValue(0);
            new NumberEditor(this.quotaControl).setMinValue(0);
        },
        
        setEnabled: function(enabled) {
            Utils.setEnabled(this.quotaControl, enabled);
            Utils.setEnabled(this.periodControl, enabled);
            this.enabledControl.checked = enabled;
        },

        isEnabled: function() {
            return this.enabledControl.checked;
        },

        addChangeListener: function(listener) {
            if (listener != null && (typeof listener.stateChanged == Type.FUNCTION)) {
                this.listeners.push(listener);
            }
        },

        _handleChanged: function() {
            this.setEnabled(this.isEnabled());
            for (var i = 0; i < this.listeners.length; ++i) {
                this.listeners[i].stateChanged(this);
            }
        }
    }
})();